This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1019709 - quota + posix: posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
quota + posix: posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Exten...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Sudhir D
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 05:29 EDT by Saurabh
Modified: 2016-01-19 01:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 06:36:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-10-16 05:29:45 EDT
Description of problem:


having a volume with quota enabled and limit set, I am finding some "W" msgs related to xattrs and they seem to unnecessary.

Version-Release number of selected component (if applicable):
glusterfs-3.4.0.35rhs-1.el6rhs.x86_64

How reproducible:
happen to be seen on this build, might have missed earlier to catch them

Steps to Reproduce:
1. Was, just trying to diagnose the brick log files for quota related msgs and found these warning msgs
2.
3.

Actual results:
[2013-10-16 09:09:36.756623] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:09:41.471563] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:09:46.727681] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:09:52.370360] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:09:57.440242] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:02.658255] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:07.957522] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:13.197151] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:18.310010] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:23.392632] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:28.601489] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:33.888241] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:37.951585] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:42.723123] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:47.801904] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:52.696477] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:10:58.119267] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:03.387721] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:09.618856] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:15.748143] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:21.287209] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:26.371605] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:31.631162] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:36.681147] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:42.206362] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:46.788366] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:51.030621] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:11:55.398774] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:12:00.555977] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:12:05.068292] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:12:08.862790] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:12:13.511789] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:12:18.030594] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:12:22.433943] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)
[2013-10-16 09:12:26.985638] W [posix-helpers.c:788:posix_handle_pair] 0-dist-rep-posix: Extended attributes not supported (try remounting brick with 'user_xattr' flag)

Expected results:
xfs by default provide xattr support, then why this message.

Additional info:
Comment 2 Vivek Agarwal 2013-11-11 06:36:36 EST
dev and qe are not seeing this with latest build and hence closing it as "CLOSED INSUFFICIENT_DATA"

Note You need to log in before you can comment on or make changes to this bug.